> For the complete documentation index, see [llms.txt](https://docs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akinon.com/technical-guides/oms/commands/packages/package-command-parameters.md).

# Package Command Parameters

## `sync_remote_order_status`​ <a href="#sync_remote_order_status" id="sync_remote_order_status"></a>

This parameter is used for sync package status with Omnitron.

### <mark style="color:red;">Usage</mark>​ <a href="#usage" id="usage"></a>

```
{
  "sync_remote_order_status": true
}
```

### <mark style="color:red;">Available Commands List​</mark> <a href="#available-commands-list" id="available-commands-list"></a>

* CompletePackingCommand
* CompletePackingWithoutShipmentCommand
* DeAllocatePackageReservationsCommand
* PackagePackedForRefundCommand
* PackageStateTransitionCommand
* ReadyForPickupCommand
* SelfServicePackageDeliveryCommand
* ShipThePackageAdvancedCommand
* ShipThePackageBasicCommand
* ShipThePackageCommand
* UpdatePackageShipmentStatusCommand
* UpdateShipmentInfoOfThePackageCommand

***

## `remote_bill_fulfillment_call`​ <a href="#remote_bill_fulfillment_call" id="remote_bill_fulfillment_call"></a>

This parameter is used for remote bill calls when running the command. Using this parameter updates bill information based on the service associated with the package order source.

### <mark style="color:red;">Usage</mark>​ <a href="#usage-1" id="usage-1"></a>

```
{
    "remote_bill_fulfillment_call": true
}
```

### <mark style="color:red;">Available Commands List​</mark> <a href="#available-commands-list-1" id="available-commands-list-1"></a>

* CompletePackingCommand
* CompletePackingWithoutShipmentCommand
* ChannelBasedCompletePackingCommand

***

## `remote_invoice_call`​ <a href="#remote_invoice_call" id="remote_invoice_call"></a>

This parameter is used for making remote invoice calls when running a command. Using this parameter will update invoice information with the service specified in the configuration.

### <mark style="color:red;">Usage</mark>​ <a href="#usage-2" id="usage-2"></a>

```
{
    "remote_invoice_call": {
        "auth": { #required
            "request_type": "anonymous"
        },
        "timeouts": { #required
            "read": 10, # Default
            "connect": 60 # Default
        }, # required
        "remote_url": "https://url-for-invoice-service/"
    }
}
```

**Generating Invoice Number and Invoice URL​**

```
    {
            ...
            "generate_invoice_number": true,
            "generate_invoice_url": true
        }
    }
```

**Auth Parameters​**

**Anonymous:**

```
{
        ...
        "auth": {
            "request_type": "anonymous"
        }
}
```

**Basic authentication:**

```
{
        ...
        "auth": {
            "request_type": "basic_auth",
            "username":"username",
            "password":"password"
        }
}
```

**Token authentication:**

```
{
        ...
        "auth": {
            "request_type": "token",
            "token": "token",
            "token_prefix": "Bearer" # Default
        }
}
```

### <mark style="color:red;">Available Commands List​</mark> <a href="#available-commands-list-2" id="available-commands-list-2"></a>

* CompletePackingCommand
* CompletePackingWithoutShipmentCommand
* ChannelBasedCompletePackingCommand
* ShipThePackageAdvancedCommand
* UpdateInvoiceOfThePackageCommand

***

## `update_remote_orderitem_invoice`​ <a href="#update_remote_orderitem_invoice" id="update_remote_orderitem_invoice"></a>

When using the remote invoice call feature, you can choose not to synchronize invoice information with Omnitron by setting this parameter to `false`. The default behavior is to synchronize (`true`).

### <mark style="color:red;">Usage</mark>​ <a href="#usage-3" id="usage-3"></a>

```
{
    "update_remote_orderitem_invoice": false
}
```

### <mark style="color:red;">Available Commands List​</mark> <a href="#available-commands-list-3" id="available-commands-list-3"></a>

* ChannelBasedCompletePackagingCommand
* CompletePackagingCommand
* CompletePackagingWithoutShipmentCommand
* ShipThePackageAdvancedCommand
* ShipThePackageCommand
* UpdateInvoiceOfThePackageCommand

***

## `deallocate_reservations`​ <a href="#deallocate_reservations" id="deallocate_reservations"></a>

When running the command, to keep allocated reservations, set this parameter to `false`. By default, it's set to `true`, which will deallocate reservations.

### <mark style="color:red;">Usage</mark>​ <a href="#usage-4" id="usage-4"></a>

```
{
    "deallocate_reservations": false
}
```

### <mark style="color:red;">Available Commands List​</mark> <a href="#available-commands-list-4" id="available-commands-list-4"></a>

* AssignPackageItemsManuallyCommand
* CancelTransferOrderRenewPackageCommand
* ChannelBasedCompletePackagingCommand
* CompletePackagingCommand
* CompletePackagingWithoutShipmentCommand
* DeAllocatePackageReservationsCommand
* DetectedOutOfStockItemCommand
* PackagePackedForRefundCommand
* ReadyForPickupCommand
* RefusePackageCommand
* ReportMissingItemCommand
* SelfServicePackageDeliveryCommand

***

## `create_shipment`​ <a href="#create_shipment" id="create_shipment"></a>

When running the command, to skip creating a shipment, set this parameter to `false`. By default, it's set to `true`, which will automatically create a shipment.

### <mark style="color:red;">Usage</mark>​ <a href="#usage-5" id="usage-5"></a>

```
{
    "create_shipment": false
}
```

### <mark style="color:red;">Available Commands List​</mark> <a href="#available-commands-list-5" id="available-commands-list-5"></a>

* ChannelBasedCompletePackagingCommand
* CompletePackagingCommand
* PackageStateTransitionCommand


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.akinon.com/technical-guides/oms/commands/packages/package-command-parameters.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
